import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import VueLazyload from "vue-lazyload";
import MetaInfo from "vue-meta-info";

Vue.use(VueLazyload, {
    preLoad: 1.3,
    attempt: 1,
});

Vue.use(scroll);

Vue.use(MetaInfo);

Vue.config.productionTip = false;
Vue.use(ElementUI);

// 克隆对象 方便克隆以及调试
Vue.prototype.$cloneDeep = data => JSON.parse(JSON.stringify(data));
new Vue({
    router,
    store,
    render: h => h(App),
    mounted() {
        document.dispatchEvent(new Event("render-event"));
    },
}).$mount("#app");